<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$can1=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp where usuario='$usu_id' and empresa='$empresa'")or die(mysqli_error($con));
$result1 = mysqli_num_rows($can1);
$can2=mysqli_query($con,"SELECT * FROM cotizacion_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$result2 = mysqli_num_rows($can2);
$totalresult=$result1+$result2;
if($totalresult == 0)
{ ?>
    <div class="alert alert-danger alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>La lista de Articulos esta vacia </strong> 
    </div>
    <script>
        $('#guardar').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    </script>
<?php }
else
{

$date=date("Y-m-d");
$hora=date("H:i:s");
$can=mysqli_query($con,"SELECT MAX(cot_id)as cot_id FROM cotizacion ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$cot_id=$dato['cot_id']+1;
$can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as cot_n_cotizacion FROM cotizacion where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$cot_n_cotizacion=$dato['cot_n_cotizacion']+1;

$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_cotizacion_temp cc where c.clie_id=cc.cct_clie_id and cc.usuario='$usu_id' and cc.empresa='$empresa'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{ 
    $clie_id=$dato['clie_id'];
    $clie_cc=$dato['clie_cc'];
    $clie_nombre=mb_strtoupper($dato['clie_nombre']);
    $clie_telefono=$dato['clie_telefono'];
    $clie_correo=$dato['clie_correo'];
}
else
{
    $can=mysqli_query($con,"SELECT * FROM cliente where clie_nombre='CLIENTE MOSTRADOR' and empresa='$empresa'") or die(mysqli_error($con));
    $row=mysqli_fetch_array($can);
    $clie_id=$row['clie_id'];
    $clie_cc=$row['clie_cc'];
    $clie_nombre=$row['clie_nombre'];
    $clie_telefono=$row['clie_telefono'];
    $clie_correo=$row['clie_correo'];
}


$cot_fecha=ucfirst(limpiar($_POST['cot_fecha']));
$cot_fecha_reserva=ucfirst(limpiar($_POST['cot_fecha_reserva']));
$cot_turno_reserva=ucfirst(limpiar($_POST['turno']));
$cot_vendedor=ucfirst(limpiar($_POST['cot_vendedor']));
$observaciones=ucfirst(limpiar($_POST['observaciones']));

$insert_detail=mysqli_query($con, "INSERT INTO cotizacion (cot_id,cot_n_cotizacion,cliente_id,cot_cc,cot_nombre,cot_telefono,cot_correo,cot_fecha_reserva,cot_turno_reserva,cot_fecha,cot_hora,cot_validez,cot_estado,cot_tipo,vendedor,sucursal,empresa,observaciones) 
    VALUES ('$cot_id','$cot_n_cotizacion','$clie_id','$clie_cc','$clie_nombre','$clie_telefono','$clie_correo','$cot_fecha_reserva','$cot_turno_reserva','$date','$hora','0','Pendiente','RESERVA','$cot_vendedor','$sucursal','$empresa','$observaciones')");
$sql1=mysqli_query($con, "SELECT * from cotizacion_detalle_temp where usuario='$usu_id' and empresa='$empresa' ");
while ($row=mysqli_fetch_array($sql1))
{
    $id=$row["cott_id"];
    $cott_id=$row["cott_id"];
    $art_id_bod=$row['art_id_bod'];
    $cott_art_id=$row['cott_art_id'];
    $cott_referencia=$row['cott_referencia'];
    $cott_cantidad=$row['cott_cantidad'];
    $cott_nombre=$row['cott_nombre'];
    $cott_unidad=$row['cott_unidad'];
    $cott_x_cantidad=$row['cott_x_cantidad'];
    $cott_precio=$row['cott_precio'];
    $cott_tipo=$row['cott_tipo'];
    $cott_iva=$row['cott_iva'];
    $cott_descuento=$row['cott_desc'];
    $cambio=$row['cambio'];


    $can=mysqli_query($con,"SELECT MAX(cotd_id)as cotd_id FROM cotizacion_detalle") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $cotd_id=$datov['cotd_id']+1;



    $insert=mysqli_query($con,"INSERT INTO cotizacion_detalle 
    (cotd_id,art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_unidad,cotd_x_cantidad,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
    VALUES ('$cotd_id','$art_id_bod','$cott_art_id','$cott_referencia','$cott_nombre','$cott_unidad','$cott_x_cantidad','$cott_cantidad','$cott_iva','$cott_descuento','$cott_precio','$cott_tipo','$cambio','$empresa','$cot_id')");



    $can9=mysqli_query($con,"SELECT * FROM cotizacion_sabores_producto_temp where usuario='$usu_id' and cott_id='$cott_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can9))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $art_id=$dato9['art_id'];
        $can8=mysqli_query($con,"INSERT INTO cotizacion_sabores_producto (sab_id,sab_nombre,art_id,cotd_id,cot_id) 
                     VALUES ('$sab_id','$sab_nombre','$art_id','$cotd_id','$cot_id')") or die(mysqli_error($con)); 
    }
    $sql=mysqli_query($con,"DELETE FROM cotizacion_sabores_producto_temp WHERE cott_id='$cott_id'") or die(mysqli_error($con));
    $borrar_sql=mysqli_query($con,"DELETE FROM cotizacion_detalle_temp WHERE usuario='$usu_id' and cott_id='$cott_id'") or die(mysqli_error($con));



}

$can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can7))
{
    $cdct_id=$dato['cdc_id'];
    $combo_id=$dato['combo_id'];
    $combo_referencia=$dato['combo_referencia'];
    $combo_cantidad=$dato['combo_cantidad'];
    $combo_nombre=$dato['combo_nombre']; 
    $combo_precio=$dato['combo_precio'];

    $can=mysqli_query($con,"SELECT MAX(cdc_id)as cdc_id FROM cotizacion_detalle_combo") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $cdc_id=$datov['cdc_id']+1;

    $can8=mysqli_query($con,"INSERT INTO cotizacion_detalle_combo (cdc_id,combo_id,combo_referencia,combo_cantidad,combo_nombre,combo_precio,cot_id) 
    VALUES ('$cdc_id','$combo_id','$combo_referencia','$combo_cantidad','$combo_nombre','$combo_precio','$cot_id')") or die(mysqli_error($con));  

    $can9=mysqli_query($con,"SELECT * FROM cotizacion_sabores_combo_temp where usuario='$usu_id' and cdc_id='$cdct_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can9))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $com_id=$dato9['com_id'];
        $can8=mysqli_query($con,"INSERT INTO  cotizacion_sabores_combo (sab_id,sab_nombre,com_id,cdc_id,cot_id) 
                     VALUES ('$sab_id','$sab_nombre','$com_id','$cdc_id','$cot_id')") or die(mysqli_error($con)); 
    }
    $sql=mysqli_query($con,"DELETE FROM cotizacion_sabores_combo_temp WHERE cdc_id='$cdc_id'") or  die(mysqli_error($con));
    $borrar_sql=mysqli_query($con,"DELETE FROM cotizacion_detalle_combo_temp WHERE usuario='$usu_id' and cdc_id='$cdct_id'") or die(mysqli_error($con));

}



$ret=mysqli_query($con,"SELECT * FROM retencion_cot_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($rett=mysqli_fetch_array($ret))
{
    $retencion_ret_id=$rett['retencion_ret_id'];
    $rete=mysqli_query($con,"SELECT * FROM retencion where empresa='$empresa' and ret_id='$retencion_ret_id' ") or die(mysqli_error($con));
    $rete=mysqli_fetch_array($rete);
    $ret_porcentaje=$rete['ret_porcentaje'];

    $can8=mysqli_query($con,"INSERT INTO retencion_cotizacion (porcentaje,empresa,retencion_ret_id,cotizacion_cot_id) 
     VALUES ('$ret_porcentaje','$empresa','$retencion_ret_id','$cot_id')") or die(mysqli_error($con));  

}
$borrar=mysqli_query($con,"DELETE FROM retencion_cot_temp where empresa='$empresa' and usuario='$usu_id' ") or  die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM cotizacion_detalle_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM cliente_cotizacion_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
?>
<div id="coti" class="modal fade" tabindex="-1" role="dialog" style="z-index: 20000;">
    <div class="modal-dialog">
        <div class="modal-content">
            <form name="form1" method="post" action="">
                <div class="modal-body">
                    <div class="alert alert-info alert-dismissable">
                        <strong>La Reserva ha sido Guardada correctamente</strong> <a href="#" class="alert-link"></a>
                    </div>
                    <div class="modal-footer">
                       <button type="button" class="btn btn-default" data-dismiss="modal" onclick="window.location.href='V_reservas.php';">Cerrar</button>

                           <!-- <a href="#" class="btn btn-warning" title='Enviar por email' onclick="enviar_email('<?php echo $cot_id; ?>','<?php echo $clie_correo;?>')"><i class="btn-icon-only icon-envelope"> </i>Enviar Correo</a>-->
                            <?php include('../include/boton_cotizacion2.php'); ?>
                    </div>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>
<script >
$('#guardar').modal('hide');
$('body').removeClass('modal-open');
$('.modal-backdrop').remove();

$(document).ready(function()
{
    $("#coti").modal("show");
});

function enviar_email(cot_id)
{
    VentanaCentrada('./libraries/pdf/pdf_correos/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
}
</script>

<?php } ?>